import { _decorator, Label, Node } from 'cc';
import BaseView from '../../../../../../extensions/app/assets/base/BaseView';
import { USERDATA } from 'db://assets/res-native/data/UserData';
const { ccclass, property } = _decorator;
@ccclass('PageTips')
export class PageTips extends BaseView {
    /** tips */
    @property(Label)
    lab_tips: Label = null!;

    // 初始化的相关逻辑写在这
    onLoad() {}

    // 界面打开时的相关逻辑写在这(onShow可被多次调用-它与onHide不成对)
    onShow(params: any) {
        this.lab_tips.string = USERDATA.description
    }

    // 界面关闭时的相关逻辑写在这(已经关闭的界面不会触发onHide)
    onHide(result: undefined) {
        // app.manager.ui.show<PageTips>({name: 'PageTips', onHide:(result) => { 接收到return的数据，并且有类型提示 }})
        return result;
    }
}